## V3 Satellite Readme
This document descrips how to install a openITCOCKPIT V3 Satellite server using the phpNSTA and Statusengine Web Interface

OS: Ubuntu 14.04

## Install the satellite
````
apt-get install build-essential tmux htop screen vnstat php5-cli php5-dev gearman-job-server php5-gearman help2man gperf vim
````

Install current [Naemon core](https://github.com/naemon/naemon-core/releases)
````
wget https://github.com/naemon/naemon-core/archive/v1.0.3.tar.gz
tar xfv v1.0.3.tar.gz
cd naemon-core-1.0.3/
useradd --system naemon
./autogen.sh --prefix=/opt/openitc/nagios
make all
make install
mkdir -p /opt/openitc/nagios/var/spool/checkresults
mkdir -p /opt/openitc/nagios/var/rw/
chown naemon:www-data /opt/openitc/nagios/var -R
cp /opt/openitc/nagios/etc/init.d/naemon /etc/init.d/
ln -s /etc/init.d/naemon /etc/init.d/nagios
ln -s /opt/openitc/nagios/bin/naemon /opt/openitc/nagios/bin/nagios
ln -s /opt/openitc/nagios/bin/naemonstats /opt/openitc/nagios/bin/nagiostats
rm -rf /opt/openitc/nagios/etc/naemon
ln -s /opt/openitc/nagios/etc/logrotate.d/naemon /etc/logrotate.d/naemon
````

Edit naemon init script naemon.cfg config path in /etc/init.d/naemon
````
sysconfdir="${prefix}/etc"
config="/opt/openitc/nagios/etc/naemon.cfg"
````

Install current [Monitoring Plugins](https://www.monitoring-plugins.org/download.html)
````
wget https://www.monitoring-plugins.org/download/monitoring-plugins-2.1.1.tar.gz
tar xfv monitoring-plugins-2.1.1.tar.gz
cd monitoring-plugins-2.1.1/
./configure --prefix=/opt/openitc/nagios --with-nagios-user=naemon -with-nagios-group=naemon
make all
make install
````

Copy openITCOCKPIT files:
````
mkdir /opt/openitc/nagios/etc/config
chown naemon:naemon /opt/openitc/nagios/etc -R
cp slave/naemon_config_sample_v3/restart /opt/openitc/nagios/bin/restart.sh
chmod +x /opt/openitc/nagios/bin/restart.sh
cp slave/naemon_config_sample_v3/naemon.cfg /opt/openitc/nagios/etc/naemon.cfg
ln -s /opt/openitc/nagios/etc/naemon.cfg /opt/openitc/nagios/etc/nagios.cfg
````

Install current [Statusengine](https://github.com/nook24/statusengine) NEB Module and Web Interface

Please see to [Statusengine Interface Documentation!](http://statusengine.org/interface.php#setup-statusengine-interface)
````
apt-get install mysql-server
wget https://github.com/nook24/statusengine/archive/1.5.1.tar.gz
tar xfv 1.5.1.tar.gz
cd statusengine-1.5.1/
./install.sh
apt-get install mysql-server apache2 libapache2-mod-php5 gearman-job-server libgearman-dev gearman-tools uuid-dev php5-gearman php5-cli php5-dev libjson-c-dev manpages-dev build-essential rrdtool php5-rrd php5-mysqlnd php5-gd unzip
chown www-data:www-data /opt/statusengine/cakephp/app/tmp/* -R
````

Install phpNSTA Client
````
mkdir -p /opt/openitc/nagios/bin/phpNSTAClient
cp -r phpNSTAClient /opt/openitc/nagios/bin/
/opt/openitc/nagios/bin/phpNSTAClient /etc/init.d/phpNSTAClient
chown www-data:nagios /opt/openitc/nagios/bin/phpNSTAClient -R
chmod +x /opt/openitc/nagios/bin/phpNSTAClient/phpNSTAClient.php
chmod +x /opt/openitc/nagios/bin/phpNSTAClient/ochp.php
chmod +x /opt/openitc/nagios/bin/phpNSTAClient/ocsp.php
chmod +x /etc/init.d/phpNSTAClient
````

**Important** Set "use_initscript" to true in /opt/openitc/nagios/bin/phpNSTAClient/config.php

service phpNSTAClient start

update-rc.d naemon defaults
update-rc.d phpNSTAClient defaults

## Create the SAT-System in openITCOCKPIT V3 Interface and run an export + phpNSTA restart (on the master system)
````
service phpNSTA restart
````

## Create the SSH Key (on the master system)
````
mkdir -p /var/www/.ssh
chown www-data:www-data /var/www/.ssh/
sudo -u www-data /bin/bash
ssh-keygen
````

