#!/usr/bin/env php
<?php
/**
 * Copyright (C) 2005-2015 it-novum GmbH
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License version 2 as published 
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 **/

//Loading Configuration
require_once "static.class.config.php";
require_once "static.class.log.php";
ini_set('error_log', Config::val('LOG', 'logfile'));

//Parsing Nagios Parameters
$Parameters = array();
$Parameters['TYPE'] = 'SERVICE';
$Parameters['TIMET'] = $_SERVER['NAGIOS_TIMET'];
$Parameters['HOSTNAME'] = $_SERVER['NAGIOS_HOSTNAME'];
$Parameters['SERVICEDESC'] = $_SERVER['NAGIOS_SERVICEDESC'];
$Parameters['SERVICESTATEID'] = $_SERVER['NAGIOS_SERVICESTATEID'];
$Parameters['SERVICEOUTPUT'] = $_SERVER['NAGIOS_SERVICEOUTPUT'];
$Parameters['SERVICEPERFDATA'] = $_SERVER['NAGIOS_SERVICEPERFDATA'];

//Parsing Parameters for transmission
$Parameters = serialize($Parameters);



//Loading GEARMAN Client:
$GMAN = new GearmanClient();
$GMAN->setTimeout(Config::val('GEARMAN', 'timeout'));
$GMAN->addServer(Config::val('GEARMAN', 'host'), Config::val('GEARMAN', 'port'));
//Check Connection
if($GMAN->ping('Ping')){
	$GMAN->doBackground('PARSE_SERVICE', $Parameters);
	//Logger::dump($Parameters);
}
